#include <Servo.h>

Servo leftFootServo;
Servo rightFootServo;
Servo balanceServo;

#define BALANCE_SERVO_PIN 0
#define RIGHT_FOOT_SERVO_PIN 1
#define LEFT_FOOT_SERVO_PIN 2

void setup()
{
  leftFootServo.attach(LEFT_FOOT_SERVO_PIN);  
  rightFootServo.attach(RIGHT_FOOT_SERVO_PIN); 
  balanceServo.attach(BALANCE_SERVO_PIN);

  //set initial values
  balanceServo.write(90); 
  leftFootServo.write(60); 
  rightFootServo.write(60);

  delay(3000); //3 second delay

}

void loop()
{
  int posFootServo = 60; //For build, set feet straight ahead (servo arms pointing straight outward) at 90 degrees servo setting (1500 usecs).
  int posBalanceServo = 90; //For build, set body at no tilt (servo arm horizontal) at 90 degrees servo setting (1500 usecs).
  int round = 0;
  
  for (round = 1 ; round <= 120 ; round++)
  {
    if (round >= 1 && round <= 60)
    {
      posFootServo++;
      
      if (round < 15)
        posBalanceServo++;
      else if (round > 40 && round < 50)
        posBalanceServo -= 2;
      else if (round > 49)
        posBalanceServo--;
    }

    if (round >= 61 && round <= 120)
    {
      posFootServo--;
      
      if (round < 75)
        posBalanceServo--;
      else if (round > 100 && round < 110)
        posBalanceServo += 2;
      else if (round > 109)
        posBalanceServo++;
    }

    //set servo positions:
    
    //balance servo: exponential asympote wave shape (steep change at first then tapering flat).  
	//	Shifted in phase from foot servo to help weight shift.
    //  full range is +/-22 degrees, total swing 44 degrees.
    balanceServo.write(posBalanceServo); 
    
    //foot servo: triangle wave shape: both feet ramp from 60 degrees to 120 and back
    leftFootServo.write(posFootServo); 
    rightFootServo.write(posFootServo); 
    
    delay(10); //10 ms delay seems about right w/ 

  } //end for (round)

}











